import request from '@/utils/request'

// 查询商户权益记录列表
export function listTable(query) {
  return request({
    url: '/system/table/list',
    method: 'get',
    params: query
  })
}


export function mersList(query) {
  return request({
    url: '/system/merchants/listAll',
    method: 'get',
    params: query
  })
}

// 查询商户权益记录详细
export function getTable(id) {
  return request({
    url: '/system/table/' + id,
    method: 'get'
  })
}

// 新增商户权益记录
export function addTable(data) {
  return request({
    url: '/system/table',
    method: 'post',
    data: data
  })
}

// 修改商户权益记录
export function updateTable(data) {
  return request({
    url: '/system/table',
    method: 'put',
    data: data
  })
}

// 删除商户权益记录
export function delTable(id) {
  return request({
    url: '/system/table/' + id,
    method: 'delete'
  })
}



// 删除商户权益记录
export function delseeu(id) {
  return request({
    url: '/system/numberTable/' + id,
    method: 'delete'
  })
}
